<?php
/**
 * Post Navigation Template
 * @package themify
 * @since 1.0.0
 */

$post_type = 'portfolio' === get_post_type() ? 'portfolio' : 'post';

if ( ! themify_check( "setting-{$post_type}_nav_disable",true ) ) :

	$in_same_cat = themify_check( "setting-{$post_type}_nav_same_cat",true);
	$this_taxonomy = 'post' === $post_type ? 'category' : $post_type . '-category';
	$previous = get_previous_post_link( '<span class="prev">%link</span>', '%title', $in_same_cat, '', $this_taxonomy );
	$next = get_next_post_link( '<span class="next">%link</span>', '%title', $in_same_cat, '', $this_taxonomy );

	if ( ! empty( $previous ) || ! empty( $next ) ) : ?>

		<div class="post-nav tf_clearfix">
			<?php echo $previous, $next; ?>
		</div>
		<!-- /.post-nav -->
	<?php endif; // empty previous or next

endif; // check setting nav disable