<?php


/*
To add custom PHP functions to the theme, create a child theme (https://themify.me/docs/child-theme) and add it to the child theme functions.php file. 
They will be added to the theme automatically.
*/

// Register sidebars
add_filter('themify_register_sidebars','themify_theme_register_sidebars');

		
	// Register Custom Menu Function
	function themify_register_custom_nav() {
	    /* prevent update checks from wp.org repository */
	    add_theme_support( 'themify-exclude-theme-from-wp-update' );

	    add_theme_support( 'post-thumbnails' );
	    Themify_Enqueue_Assets::remove_theme_support_css('rtl');
	    register_nav_menus( array(
		    'main-nav' => __( 'Main Navigation', 'themify' ),
		    'footer-nav' => __( 'Footer Navigation', 'themify' ),
	    ) );
	}
	
	// Register Custom Menu Function - Action
	add_action('after_setup_theme', 'themify_register_custom_nav');
	

	// Add home link to menus
	function themify_new_nav_menu_items( $items, $args ) {
		if( isset( $args->theme_location ) && $args->theme_location === 'main-nav' ) {
			$homelink = '<li class="home"><a href="' . home_url( '/' ) . '">' . __('Home', 'themify') . '</a></li>';
			$items = $homelink . $items;
		}
		return $items;
	}
	add_filter( 'wp_nav_menu_items', 'themify_new_nav_menu_items', 10, 2 );

/* 
 * Register sidebars
 * @since 1.0.0
 */
function themify_theme_register_sidebars($sidebars) {
    $sidebars[]=array(
	    'name' => __('Header Widget', 'themify'),
	    'id' => 'header-widget',
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<strong class="widgettitle">',
	    'after_title' => '</strong>'
    );
    return $sidebars;
     
}
function themify_theme_avatar_size(){
    return 36;
}
add_filter('themify_comment_avatar_size','themify_theme_avatar_size');
